tbb::concurrent_bounded_queue< T, A >::destroyer Class Reference

Class used to ensure exception-safety of method "pop". More...

Inheritance diagram for tbb::concurrent_bounded_queue< T, A >::destroyer:
Collaboration diagram for tbb::concurrent_bounded_queue< T, A >::destroyer:

## Public Member Functions

| destroyer (T &value)
| ~destroyer ()

## Private Attributes

T & | my_value

## Additional Inherited Members

Private Member Functions inherited from tbb::internal::no_copy
| no_copy (const no_copy &)=delete
| no_copy ()=default

## Detailed Description

### template<typename T, class A = cache_aligned_allocator<T>>
class tbb::concurrent_bounded_queue< T, A >::destroyer

Class used to ensure exception-safety of method "pop".

Definition at line 221 of file concurrent_queue.h.

## Constructor & Destructor Documentation

## destroyer()

template<typename T , class A = cache_aligned_allocator<T>>

tbb::concurrent_bounded_queue< T, A >::destroyer::destroyer | ( | T & | value | ) |

inline

Definition at line 224 of file concurrent_queue.h.

: my_value(value) {}

## ~destroyer()

template<typename T , class A = cache_aligned_allocator<T>>

tbb::concurrent_bounded_queue< T, A >::destroyer::~destroyer | ( |  | ) |

inline

Definition at line 225 of file concurrent_queue.h.

{my_value.~T();}

References tbb::concurrent_bounded_queue< T, A >::destroyer::my_value.

## Member Data Documentation

## my_value

template<typename T , class A = cache_aligned_allocator<T>>

T& tbb::concurrent_bounded_queue< T, A >::destroyer::my_value

private

Definition at line 222 of file concurrent_queue.h.

Referenced by tbb::concurrent_bounded_queue< T, A >::destroyer::~destroyer().

The documentation for this class was generated from the following file:

- concurrent_queue.h

tbb::concurrent_bounded_queue::destroyer::my_value
T & my_value
Definition: concurrent_queue.h:222
value
void const char const char int ITT_FORMAT __itt_group_sync x void const char ITT_FORMAT __itt_group_sync s void ITT_FORMAT __itt_group_sync p void ITT_FORMAT p void ITT_FORMAT p no args __itt_suppress_mode_t unsigned int void size_t ITT_FORMAT d void ITT_FORMAT p void ITT_FORMAT p __itt_model_site __itt_model_site_instance ITT_FORMAT p __itt_model_task __itt_model_task_instance ITT_FORMAT p void ITT_FORMAT p void ITT_FORMAT p void size_t ITT_FORMAT d void ITT_FORMAT p const wchar_t ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s no args void ITT_FORMAT p size_t ITT_FORMAT d no args const wchar_t const wchar_t ITT_FORMAT s __itt_heap_function void size_t int ITT_FORMAT d __itt_heap_function void ITT_FORMAT p __itt_heap_function void void size_t int ITT_FORMAT d no args no args unsigned int ITT_FORMAT u const __itt_domain __itt_id ITT_FORMAT lu const __itt_domain __itt_id __itt_id __itt_string_handle ITT_FORMAT p const __itt_domain __itt_id ITT_FORMAT p const __itt_domain __itt_id __itt_timestamp __itt_timestamp ITT_FORMAT lu const __itt_domain __itt_id __itt_id __itt_string_handle ITT_FORMAT p const __itt_domain ITT_FORMAT p const __itt_domain __itt_string_handle unsigned long long value
Definition: ittnotify_static.h:192

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.